# [rgehan/jira-github-cli](https://github.com/rgehan/jira-github-cli)

![Demo](.github/demo.gif)

### Setup

```bash
yarn global add jira-github-cli
```

This installs the `jira` binary.

### Usage

```bash
jira
```

On this first run, the script will ask you for a few details:
- A JIRA API token (See [here](https://confluence.atlassian.com/cloud/api-tokens-938839638.html) for informations about how to create a token)
- Your JIRA username

### Misc

The config is stored in a JSON file (`config.json`) at the root of the repository/installation folder.
