const chalk = require('chalk');

const { runCommand } = require('../utils');

const checkoutBranch = async ({ branch }) => {
  // Do checkout the branch
  try {
    const checkoutOutput = await runCommand(`git checkout ${branch}`);
    console.log(chalk.dim(checkoutOutput));
  } catch (error) {
    console.log(chalk.red(error));
  }
};

module.exports = { checkoutBranch };
