const { chain } = require('lodash');
const opn = require('opn');
const { getLocalRepo, findPullRequestUrl } = require('../utils');

const goToGithub = async (issue, config) => {
  const repo = await getLocalRepo();

  console.log(`${config.useEmojis ? '⌛  ' : ''}Retrieving the corresponding PR on Github in repo ${repo}...`);
  const pullUrl = await findPullRequestUrl({ issue, repo }, config);

  if (!pullUrl) {
    console.log(JSON.stringify(pull, null, 2));
    return console.log(`Couldn't find the corresponding PR, you're on your own!`);
  }

  opn(pullUrl, { wait: false })
};

module.exports = { goToGithub };
